Page MenuHomePhabricator

remove IBM/Silverpop 1024-bit domain key
Closed, ResolvedPublicApr 22 2019

Description

ATTN: do not act on this task before 2019-04-22

We've switched IBM/Silverpop to use a 2048-bit domain key, but they recommend a three month phase out for the deprecated 1024-bit key, after which it can be deleted. See T210445 for more info.

This is the DNS record to be removed from the wikimedia.org zone file:

spop1024._domainkey 1H IN TXT "k=rsa; p=MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDpnujkAKfZWUN6W07scekor+i8wGvRGq3Ns9bk3nmgWovfbBebFwzHoNv3Oaq9VMf1cdTf53fuQY5NVZQ+hGZXqJ4mkcNJnSC0BZuGC45kUWjyOhB+Pxf0o9AuGM8QCQwm4nnvNqUe/lME7bFTzrtCSrF7sG0UxvwM2AeDEZj5NQIDAQAB"

Details

Due Date
Apr 22 2019, 4:00 AM

Event Timeline

Jgreen created this task.Jan 23 2019, 9:18 PM
Restricted Application added projects: Operations, Traffic. · View Herald TranscriptJan 23 2019, 9:18 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald Transcript
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jgreen updated the task description. (Show Details)Jan 23 2019, 9:18 PM
Jgreen updated the task description. (Show Details)
Dzahn added a subscriber: Dzahn.EditedJan 23 2019, 9:20 PM

This is the kind of ticket where we need that Phabricator calendar feature.. add a date to a task and have it notify or raise priority once the data gets closer. @Aklapper

Edit: Ignore me, i see "due date" is already a thing and set :)

jijiki triaged this task as Normal priority.Feb 7 2019, 1:02 PM
ema moved this task from Triage to DNS Names on the Traffic board.Mar 6 2019, 9:37 AM

Change 507078 had a related patch set uploaded (by Jgreen; owner: Jgreen):
[operations/dns@master] remove deprecated silverpop 1024-bit domainkey

https://gerrit.wikimedia.org/r/507078

Change 507078 merged by Jgreen:
[operations/dns@master] remove deprecated silverpop 1024-bit domainkey

https://gerrit.wikimedia.org/r/507078

Mentioned in SAL (#wikimedia-operations) [2019-04-29T17:35:51Z] <Jeff_Green> authdns-update to deploy T214525

Jgreen closed this task as Resolved.Apr 29 2019, 5:38 PM
Jgreen claimed this task.

this is deployed